Bug 853271 - [abrt] mysql-workbench-5.2.42-2.fc17: grt::internal::Value::release: Process /usr/lib64/mysql-workbench/mysql-workbench-bin was killed by signal 11 (SIGSEGV)
[abrt] mysql-workbench-5.2.42-2.fc17: grt::internal::Value::release: Process ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mysql-workbench (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
abrt_hash:4131ffe0cf2b68e4a536b2d8dd9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 20:03 EDT by Thomas Gibbons
Modified: 2012-10-30 03:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 03:33:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.07 KB, text/plain)
2012-08-30 20:03 EDT, Thomas Gibbons
no flags Details
File: maps (81.03 KB, text/plain)
2012-08-30 20:03 EDT, Thomas Gibbons
no flags Details
File: dso_list (17.03 KB, text/plain)
2012-08-30 20:03 EDT, Thomas Gibbons
no flags Details
File: build_ids (6.41 KB, text/plain)
2012-08-30 20:03 EDT, Thomas Gibbons
no flags Details

  None (edit)
Description Thomas Gibbons 2012-08-30 20:03:08 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib64/mysql-workbench/mysql-workbench-bin
comment:        Loaded up Workbench, connected to one of our usual servers. Workbench closes almost immediately after I begin to type in to the SQL Editor. This issue started happeneing a few days ago and the bug reporter instructed me to install an updated package from testing to fix the issue, which it did. It's now happening again.
crash_function: grt::internal::Value::release
executable:     /usr/lib64/mysql-workbench/mysql-workbench-bin
kernel:         3.5.2-3.fc17.x86_64
pid:            25369
pwd:            /home/twgibbons
remote_result:  NOTFOUND
time:           Thu 30 Aug 2012 04:55:55 PM PDT
uid:            1000
username:       twgibbons

backtrace:      Text file, 36939 bytes
build_ids:      Text file, 6560 bytes
dso_list:       Text file, 17436 bytes
maps:           Text file, 82971 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/twgibbons/2

core_backtrace:
:54490a27b3f95d898ee0efc8a5feb8617ec20fba 0x42aca3 - [exe] -
:54490a27b3f95d898ee0efc8a5feb8617ec20fba 0x5fd606 - [exe] -
:54490a27b3f95d898ee0efc8a5feb8617ec20fba 0x610a10 boost::detail::function::function_obj_invoker1<boost::_bi::bind_t<grt::ValueRef, [exe] -
:de7041bd1ddec277ad004753c6860c6c57ba2dbe 0x2d4cf5 boost::function1<grt::ValueRef, libwbpublic.so.0 -
:de7041bd1ddec277ad004753c6860c6c57ba2dbe 0x2d0315 bec::GRTManager::get_app_option(std::string libwbpublic.so.0 -
:4c1a296a651efddfe921c65a27f45964d9591777 0xefac2 Mysql_sql_parser_fe::Mysql_sql_parser_fe(grt::GRT*) db.mysql.sqlparser.grt.so.0 -
:4c1a296a651efddfe921c65a27f45964d9591777 0xfa38e Mysql_sql_syntax_check::check_sql_statement(char db.mysql.sqlparser.grt.so.0 -
:4c1a296a651efddfe921c65a27f45964d9591777 0xfab84 Mysql_sql_syntax_check::check_sql(char db.mysql.sqlparser.grt.so.0 -
:de7041bd1ddec277ad004753c6860c6c57ba2dbe 0x3a4403 Sql_editor::do_check_sql(grt::GRT*, libwbpublic.so.0 -
:de7041bd1ddec277ad004753c6860c6c57ba2dbe 0x3a9dff boost::_mfi::mf2<grt::Ref<grt::internal::String>, libwbpublic.so.0 -
:de7041bd1ddec277ad004753c6860c6c57ba2dbe 0x3a9e8c boost::detail::function::function_obj_invoker1<boost::_bi::bind_t<grt::Ref<grt::internal::String>, libwbpublic.so.0 -
:de7041bd1ddec277ad004753c6860c6c57ba2dbe 0x31e74f boost::function1<grt::Ref<grt::internal::String>, libwbpublic.so.0 -
:de7041bd1ddec277ad004753c6860c6c57ba2dbe 0x31e798 boost::detail::function::function_obj_invoker1<boost::function<grt::Ref<grt::internal::String> libwbpublic.so.0 -
:de7041bd1ddec277ad004753c6860c6c57ba2dbe 0x2c2ebf boost::function1<grt::ValueRef, libwbpublic.so.0 -
:de7041bd1ddec277ad004753c6860c6c57ba2dbe 0x2c0435 bec::GRTTask::execute(grt::GRT*) libwbpublic.so.0 -
:de7041bd1ddec277ad004753c6860c6c57ba2dbe 0x2bf6f8 bec::GRTDispatcher::execute_task(bec::GRTTaskBase*) libwbpublic.so.0 -
:de7041bd1ddec277ad004753c6860c6c57ba2dbe 0x2c0082 bec::GRTDispatcher::worker_thread(void*) libwbpublic.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x6a305 - libglib-2.0.so.0 -
: 0xaa734 - libGL.so.1 -
:6086bff484a49cc8b80cb714d7e83a6391394800 0x7d14 start_thread libpthread.so.0 -
:ebc779125d37b2b0595730b6d78d477fe7b6bc53 0xf167d clone libc.so.6 -

environ:
:LD_PRELOAD=/$LIB/libSegFault.so
:SEGFAULT_OUTPUT_NAME=/tmp/segv_output.LHK97e
:SEGFAULT_USE_ALTSTACK=1
:XDG_VTNR=1
:SSH_AGENT_PID=1700
:XDG_SESSION_ID=2
:rvm_bin_path=/home/twgibbons/.rvm/bin
:HOSTNAME=tgibbonslaptop
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=25360
:GEM_HOME=/home/twgibbons/.rvm/gems/ruby-1.9.3-p194
:GPG_AGENT_INFO=/run/user/twgibbons/keyring-7gCRKy/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:IRBRC=/home/twgibbons/.rvm/rubies/ruby-1.9.3-p194/.irbrc
:PERL5LIB=/etc/perl
:GJS_DEBUG_OUTPUT=stderr
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/twgibbons/keyring-7gCRKy
:MY_RUBY_HOME=/home/twgibbons/.rvm/rubies/ruby-1.9.3-p194
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:SVN_EDITOR=vim
:USER=twgibbons
:LD_LIBRARY_PATH=/usr/lib64/mysql-workbench
:__array_start=0
:rvm_path=/home/twgibbons/.rvm
:SSH_AUTH_SOCK=/run/user/twgibbons/keyring-7gCRKy/ssh
:USERNAME=twgibbons
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1526,unix/unix:/tmp/.ICE-unix/1526
:escape_flag=1
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/MySQLWorkbench.desktop
:rvm_prefix=/home/twgibbons
:MAIL=/var/spool/mail/twgibbons
:PATH=/home/twgibbons/.rvm/gems/ruby-1.9.3-p194/bin:/home/twgibbons/.rvm/gems/ruby-1.9.3-p194@global/bin:/home/twgibbons/.rvm/rubies/ruby-1.9.3-p194/bin:/home/twgibbons/.rvm/bin:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/twgibbons/.rvm/bin:/home/twgibbons/.local/bin:/home/twgibbons/bin:/usr/share/mysql-workbench/python
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/twgibbons
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:LANG=en_US.utf8
:MWB_PLUGIN_DIR=/usr/lib64/mysql-workbench/plugins
:'MYSQL_UTILITIES_COMMANDS=mysqlindexcheck mysqldbcopy mysqlprocgrep mysqlrpladmin mysqlfailover mysqlmetagrep mysqldbimport mysqlserverinfo mysqldiff mysqldbexport mysqldiskusage mysqlrplcheck mysqlreplicate mysqlrplshow mysqldbcompare mysqlserverclone mysqluserclone'
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:_second=1
:MWB_DATA_DIR=/usr/share/mysql-workbench
:GDMSESSION=gnome
:rvm_env_string=ruby-1.9.3-p194
:HISTCONTROL=ignoredups
:'rvm_version=1.14.1 (stable)'
:XDG_SEAT=seat0
:HOME=/home/twgibbons
:SHLVL=3
:rvm_ruby_string=ruby-1.9.3-p194
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:DBC_DRIVER_PATH=/usr/lib64/mysql-workbench
:_first=0
:LOGNAME=twgibbons
:PYTHONPATH=/usr/share/mysql-workbench/python
:QTLIB=/usr/lib64/qt-3.3/lib
:GEM_PATH=/home/twgibbons/.rvm/gems/ruby-1.9.3-p194:/home/twgibbons/.rvm/gems/ruby-1.9.3-p194@global
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ypLq0ngiBd,guid=51f782633038c22a52db075700000052
:MWB_MODULE_DIR=/usr/lib64/mysql-workbench/modules
:MWB_LIBRARY_DIR=/usr/share/mysql-workbench/libraries
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/twgibbons
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:RUBY_VERSION=ruby-1.9.3-p194
:XAUTHORITY=/var/run/gdm/auth-for-twgibbons-rn56GW/database
:_=/usr/lib64/mysql-workbench/mysql-workbench-bin

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63345                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63345                63345                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/twgibbons/.xsession-errors
:pos:	284538
:flags:	0102002
:2:/home/twgibbons/.xsession-errors
:pos:	284538
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[849006]
:pos:	0
:flags:	02000000
:5:pipe:[849006]
:pos:	0
:flags:	02000001
:6:socket:[849007]
:pos:	0
:flags:	02004002
:7:socket:[853168]
:pos:	0
:flags:	02004002
:8:anon_inode:inotify
:pos:	0
:flags:	02004000
:9:/tmp/mysql-workbench.twgibbons/35a2d4d8-f2fe-11e1-9edc-f0def1f34f48.db
:pos:	7168
:flags:	02100002
:10:/tmp/mysql-workbench.twgibbons/35a52b48-f2fe-11e1-9edc-f0def1f34f48.db
:pos:	7168
:flags:	02100002
:11:/dev/urandom
:pos:	0
:flags:	02100000
:12:/tmp/mysql-workbench.twgibbons/35a6339e-f2fe-11e1-9edc-f0def1f34f48.db
:pos:	7168
:flags:	02100002
:13:/tmp/mysql-workbench.twgibbons/35a6b012-f2fe-11e1-9edc-f0def1f34f48.db
:pos:	7168
:flags:	02100002
:14:/usr/share/mysql-workbench/sshtunnel.py
:pos:	16071
:flags:	0100000
:15:socket:[854608]
:pos:	0
:flags:	02004002
:16:/dev/urandom
:pos:	0
:flags:	02100000
:17:socket:[853181]
:pos:	0
:flags:	02
:18:socket:[855321]
:pos:	0
:flags:	02
:19:/dev/urandom
:pos:	0
:flags:	0100000
:20:/tmp/segv_output.LHK97e
:pos:	87127
:flags:	0100001

smolt_data:
:
:
:General
:=================================
:UUID: 79f5456b-0c1a-4c8e-aa6c-d57e84c3ef72
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4784.77
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2760QM CPU @ 2.40GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 2401
:System Memory: 7940
:System Swap: 9917
:Vendor: LENOVO
:System: 42763JU ThinkPad W520
:Form factor: Notebook
:Kernel: 3.5.2-3.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:59442:6058:8655) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(4480:59427:6058:8655) pci, sdhci-pci, BASE, N/A
:(32902:260:6058:8655) pci, None, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:257:6058:8655) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:(4147:404:6058:8655) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7202:6058:8655) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:7171:6058:8655) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7247:6058:8655) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:7226:6058:8655) pci, mei, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:133:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
:(32902:7190:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7196:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7192:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8655) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7229:6058:8655) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(4318:3050:6058:8655) pci, snd_hda_intel, MULTIMEDIA, GF108 High Definition Audio Controller
:(4318:3578:6058:8655) pci, nvidia, VIDEO, GF108 [Quadro 1000M]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/luks-457cade1-4a2e-42e7-b54d-287ea48c5003 / ext4 4096 4096 12901023 9268006 9136962 3276800 2916473 2916473
:/dev/sda1 /boot ext4 1024 1024 495844 377596 351996 128016 127651 127651
:/dev/mapper/luks-2b6e5dfe-3537-4f16-ab17-20b9cc2a731a /home ext4 4096 4096 104652480 71766402 66450358 26583040 26448775 26448775
:/dev/mmcblk0p1 WITHHELD vfat 32768 32768 492192 462540 462540 0 0 0
:/dev/sr0 WITHHELD udf 2048 2048 4073321 0 0 47 0 0
:

var_log_messages:
:Aug 29 12:39:00 tgibbonslaptop abrt[9276]: Saved core dump of pid 9242 (/usr/lib64/mysql-workbench/mysql-workbench-bin) to /var/spool/abrt/ccpp-2012-08-29-12:38:59-9242 (123572224 bytes)
:Aug 29 12:42:14 tgibbonslaptop abrt[11753]: Saved core dump of pid 11711 (/usr/lib64/mysql-workbench/mysql-workbench-bin) to /var/spool/abrt/ccpp-2012-08-29-12:42:13-11711 (124026880 bytes)
:Aug 29 12:43:03 tgibbonslaptop abrt[14365]: Saved core dump of pid 14329 (/usr/lib64/mysql-workbench/mysql-workbench-bin) to /var/spool/abrt/ccpp-2012-08-29-12:43:02-14329 (122679296 bytes)
:Aug 29 12:50:30 tgibbonslaptop abrt[2889]: Saved core dump of pid 2724 (/usr/lib64/mysql-workbench/mysql-workbench-bin) to /var/spool/abrt/ccpp-2012-08-29-12:50:29-2724 (123457536 bytes)
:Aug 30 16:55:56 tgibbonslaptop abrt[25402]: Saved core dump of pid 25369 (/usr/lib64/mysql-workbench/mysql-workbench-bin) to /var/spool/abrt/ccpp-2012-08-30-16:55:55-25369 (126656512 bytes)
Comment 1 Thomas Gibbons 2012-08-30 20:03:12 EDT
Created attachment 608331 [details]
File: backtrace
Comment 2 Thomas Gibbons 2012-08-30 20:03:14 EDT
Created attachment 608332 [details]
File: maps
Comment 3 Thomas Gibbons 2012-08-30 20:03:16 EDT
Created attachment 608333 [details]
File: dso_list
Comment 4 Thomas Gibbons 2012-08-30 20:03:17 EDT
Created attachment 608334 [details]
File: build_ids
Comment 5 Remi Collet 2012-10-30 03:33:03 EDT
Latest version in updates is 5.2.44.

Please update and open a new bug report is problem still occurs

Note You need to log in before you can comment on or make changes to this bug.